package cn.yyxx.eyuangame.core.impl

import android.content.Context

/**
 * @author #Suyghur.
 * Created on 2021/06/09
 */
class SdkDrive {

    init {
        System.loadLibrary("eyuangame")
    }

//    external fun getAesKey()

//    external fun aesEncrypt(src: String): String

//    external fun aesDecrypt(raw: String, key: String): String

//    external fun rsaEncrypt(src: String): String

//    external fun rsaDecrypt(raw: String): String

    external fun initSdkDrive(context: Context)

    external fun setParam(key: String, value: String)

    external fun getParam(key: String): String

    external fun invokeJob(context: Context, key: String, data: String): String

    external fun parseJob(context: Context, key: String, data: String): String

    external fun test(): String

    companion object {
        val instance: SdkDrive by lazy(mode = LazyThreadSafetyMode.SYNCHRONIZED) {
            SdkDrive()
        }
    }
}